<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration
        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
    <!--读取外部配置文件db.properties-->
    <properties resource="db.properties" />


    <!--配置别名   在这里以包的形式配置别名-->
    <typeAliases>
        <package name="com.itchenzn.pojo"/>
    </typeAliases>
    
    <!--配置分页插件-->
    <plugins>
        <plugin interceptor="com.github.pagehelper.PageInterceptor">
            <!-- 设置数据库类型Oracle,Mysql,MariaDB,SQLite,Hsqldb,PostgreSQL 六种数据库-->
            <property name="helperDialect" value="mysql"/>
        </plugin>
    </plugins>

    <!--配置项目环境-->
    <environments default="development">
        <!--配置开发环境-->
        <environment id="development">
            <!--配置事务管理的方式为JDBC一样的事务管理方式-->
            <transactionManager type="JDBC"></transactionManager>
            <!--配置数据源，使用连接池的方式建立连接-->
            <dataSource type="POOLED">
                <property name="driver" value="${jdbc.driver}"/>
                <property name="url" value="${jdbc.url}"/>
                <property name="username" value="${jdbc.username}"/>
                <property name="password" value="${jdbc.password}"/>
            </dataSource>
        </environment>
    </environments>

    <!--配置读取配置文件的路径 以包的形式扫描-->
    <mappers>
        <package name="com.itchenzn.mapper"/>
    </mappers>
</configuration>